Subject: bug#36836: Tmux and Focus-In Events

From: "Basil L. Contovounesios" <[email-masked]>
Date: Sun, 29 Nov 2020 20:19:28 +0000

Lars Ingebrigtsen <[email-masked]> writes:

> Gustaf Waldemarson <[email-masked]> writes:
>
>> Using Emacs 27 and tmux 2.1: If you start tmux with the option `tmux set-option
>> -g focus-events on` enabled and then inside tmux start an emacsclient, e.g.,
>> via:
>>
>> ```
>> emacs -Q --daemon=test && emacsclient --socket-name=test ."
>> ```
>>
>> Then Emacs starts and unexpectedly inserts the characters "[I]" in the buffer
>> that is opened. This only seem to happen the first time the client is started.
>
> (This bug report unfortunately got no response at the time.)
>
> I seem to recall a similar bug that was worked on recently in the
> development version of Emacs, but I can't find it now.  Would it be
> possibly for you to try the development version and see whether this bug
> is still present there?

Are you perhaps thinking of bug#35180 or bug#37782?

Replay key if kboard is interrupted while initializing (Bug#37782)
e3cebbb839 2019-10-26 13:29:29 +0300
https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=e3cebbb839fc94f314659bf667c6790edebf4297

-- 
Basil